mscorlib 2.0.0.0 4.0.0.0 System.Object

This class is intended to facilitate the use of the and classes.

Provides methods to aid developers in writing version-safe code. This class cannot be inherited.

- Method
  2.0.0.0
  4.0.0.0
  System.String `` `` ``

  The original name is returned with a scope related suffix. The suffix may include the process identity, the current identity, or both.

  Returns a version-safe name based on the specified resource name and the intended resource consumption source.

  A version-safe name.

  The name of the resource. The scope of the resource. The desired resource consumption scope.
- Method
  2.0.0.0
  4.0.0.0
  System.String `` `` `` ``

  The original name is returned with a scope related suffix.

  Returns a version-safe name based on the specified resource name, the intended resource consumption scope, and the type using the resource.

  A version-safe name.

  The name of the resource. The beginning of the scope range. The end of the scope range. The of the resource.